﻿using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace SemiColinGames {
  class Textures {

    public static Texture2D Player;

    // Backgrounds are indexed by draw order; the first element should be drawn furthest back.
    public static Texture2D[] Backgrounds = new Texture2D[4];

    public static Texture2D Cemetery;
    public static Texture2D Crypt;
    public static Texture2D Dungeon;
    public static Texture2D Forest;
    public static Texture2D Garden;
    public static Texture2D Grassland;
    public static Texture2D Ruins;
    public static Texture2D Sewer;
    public static Texture2D Temple;
    public static Texture2D Village;

    public static SpriteFont DebugFont;

    public static void Load(ContentManager content) {
      Player = content.Load<Texture2D>("sprites/ccg/ninja_female");

      Backgrounds[0] = content.Load<Texture2D>("backgrounds/szadiart/pf4/background1_day");
      Backgrounds[1] = content.Load<Texture2D>("backgrounds/szadiart/pf4/background2a_day");
      Backgrounds[2] = content.Load<Texture2D>("backgrounds/szadiart/pf4/background3_day");
      Backgrounds[3] = content.Load<Texture2D>("backgrounds/szadiart/pf4/background4_day");

      Cemetery = content.Load<Texture2D>("tiles/anokolisa/cemetery");
      Crypt = content.Load<Texture2D>("tiles/anokolisa/crypt");
      Dungeon = content.Load<Texture2D>("tiles/anokolisa/dungeon");
      Forest = content.Load<Texture2D>("tiles/anokolisa/forest");
      Garden = content.Load<Texture2D>("tiles/anokolisa/garden");
      Grassland = content.Load<Texture2D>("tiles/anokolisa/grassland");
      Ruins = content.Load<Texture2D>("tiles/anokolisa/ruins");
      Sewer = content.Load<Texture2D>("tiles/anokolisa/sewer");
      Temple = content.Load<Texture2D>("tiles/anokolisa/temple");
      Village = content.Load<Texture2D>("tiles/anokolisa/village");

      DebugFont = content.Load<SpriteFont>("font");
    }
  }
}
